/*
 * Transversion for the Amstrad CPC
 * Copyright (C) 2024 Dave Moore
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

/* Library Includes */
#include <assert.h>
#include <cpctelera.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <types.h>


#include "defines.h"
#include "strings.h"
#include "fonts.h"
#include "images.h"
#include "levels.h"
#include "sound.h"
#include "tiles.h"
#include "utilities.h"
#include "video.h"
#include "between.h"
#include "game.h"
#include "hiscore.h"
#include "instruct.h"
#include "redefine.h"
#include "titles.h"
#include "victory.h"
